note
	description: "inheritance application root class"
	date: "$Date$"
	revision: "$Revision$"

class
	TEST_NON_INHERITANCE

inherit
	ES_TEST

create
	make

feature -- Initialization

	make
			-- Run tests.
		do
			add_boolean_case (agent test_students)
			show_browser
			run_espec
		end

feature -- Tests
	test_students: BOOLEAN
		local
			c1, c2: COURSE
			jim: RESIDENT_STUDENT
			jeremy: NON_RESIDENT_STUDENT
		do
			create c1.make ("EECS2030", 500.0)
			create c2.make ("EECS3311", 500.0)

			create jim.make ("J. Davis")
			jim.set_pr (1.25)
			jim.register (c1)
			jim.register (c2)
			Result := jim.tuition = 1250
			check Result end

			create jeremy.make ("J. Gibbons")
			jeremy.set_dr (0.75)
			jeremy.register (c1)
			jeremy.register (c2)
			Result := jeremy.tuition = 750
		end
end
